Subject: bug#59897: 29.0.60; csharp-ts-mode: variable-name fontified as method when invoking method with generic type-argument.

From: Jostein Kjønigsen <[email-masked]>
Date: Wed, 14 Dec 2022 22:45:44 +0100

Hey Yuan.

From what I can see you pushed Teos patch and not mine?

emacs.git - Emacs source repository

savannah.gnu.org

In the email discussion earlier we unanymously decided on that for technical reasons my patch was more appropriate for this particular bug, and it also fixed another fontification bug.

What do we do now? Should we revert this commit and apply mine instead?

Sorry for all the “noise”, but this gets hard to follow up for all of us when latency between input and output gets too long, and then we end up writing emails like this, instead of writing good code to improve emacs and our new major-modes.

If this could get cleaned up, installed properly, confirmed -and- pushed at the same time, it would be easier for me to verify that the right patch was put in place, and then I wouldn’t nag you for weeks end for what is really just 4 lines of code ;)

—
Jostein Kjønigsen

https://jostein.kjønigsen.net

On 14 Dec 2022, at 20:45, Yuan Fu <[email-masked]> wrote:

On Dec 14, 2022, at 10:49 AM, Jostein Kjønigsen <[email-masked]> wrote:

On 12.12.2022 23:19, Yuan Fu wrote:

On 09.12.2022 22:12, Theodor Thornhill wrote:

Hey guys.

This patch seems to have been left out, or slightly forgotten.

Yuan, I think in this case we are going to prefer my patch over Theo's

since it fixes 2 issues, instead of just 1.

Could you install this? :)

I concur :-)

Looking at my local emacs-29 branch it seems also this patch been "forgotten" and not been applied.

Do you have time to get this installed, Yuan?

Yes, of course, my apologies :-) Also, beautiful commit message, Jostein, I love it :-)

Yuan

I see bug marked as done, but I don't see this pushed to the emacs-29 branch.

Are you sure this has been installed Yuan?

--

Jostein

Indeed, I forgot to push my local branch. I just did that. Now you should see it, sorry for the inconvenience :-)

Yuan